<sqtm-core-creation-dialog
  [attr.data-test-dialog-id]="'new-parameter'"
  (add)="addParam($event)"
  (addAnother)="addAnotherParam()"
>
  <div class="m-10" [formGroup]="formGroup">
    <div class="sqtm-core-dialog-form">
      <label class="label label__align_right">{{
        'sqtm-core.entity.generic.name.label' | translate
      }}</label>
      <div>
        <sqtm-core-text-field
          [initialFocus]="true"
          [formGroup]="formGroup"
          [fieldName]="'name'"
          [serverSideFieldValidationError]="serverSideValidationErrors"
          #nameField
        ></sqtm-core-text-field>
        @if (namePatternError) {
          <div class="has-error">
            <span
              [attr.data-test-error-key]="'name-error'"
              class="sqtm-core-error-message"
              >{{ 'sqtm-core.validation.errors.paramName' | translate }}</span
            >
          </div>
        }
      </div>

      <label class="label label__align_right">{{
        'sqtm-core.entity.generic.description.label' | translate
      }}</label>
      <sqtm-core-rich-text-field
        [formGroup]="formGroup"
        [fieldName]="'description'"
        [serverSideFieldValidationError]="serverSideValidationErrors"
      >
      </sqtm-core-rich-text-field>
    </div>
  </div>
</sqtm-core-creation-dialog>
